<!--
SPDX-FileCopyrightText: 2020 Open Networking Foundation <info@opennetworking.org>

SPDX-License-Identifier: LicenseRef-ONF-Member-Only-1.0
-->

# SD-Fabric chart

## Prerequest

See [SD-Fabric deployment guide](https://docs.sd-fabric.org/master/deployment.html) and
deploy all necessary components like Kubernetes and switch.

## Configuration

| Name | Description |
|------|-------------|
| import.pfcp-agent.enabled | Enable PFCP agent |
| import.dbuf.enabled | Enable DBuf |
| image.credential.secretName | Name for the Kubernetes secret to store the credential |
| image.credential.registry | The container registry |
| image.credential.username | The username to login the container registry |
| image.credential.password | The password to login the container registry |
| onos-classic | See <https://github.com/onosproject/onos-helm-charts/tree/master/onos-classic> |
| stratum | See <https://github.com/stratum/stratum-helm-charts/tree/master/stratum> |
| pfcp-agent | See [values.yaml](../pfcp-agent/values.yaml) file of the PFCP agent chart |
| dbuf | See [values.yaml](../dbuf/values.yaml) file of the DBuf chart |

## Installation

Here are steps to deploy the sdfabric helm chart:

1. Modify `values.yaml` according to the explanations above
2. Use the following command to create a namespace `sdfabric`, :

    ```bash
    kubectl create namespace sdfabric
    ```

3. Use the helm command to deploy the chart:

    ```bash
    helm upgrade --install -n sdfabric -f my-values.yaml sdfabric .
    ```

This command will deploy the SD-Fabric helm chart with release name `sdfabric` in the `sdfabric` namesapce.

To uninstall the helm chart, simply use:

```bash
helm -n sdfabric uninstall sdfabric
kubectl delete namespace sdfabric # also remove the sdfabric if needed
```
